Click or drag to resize

MeshExtruderExtrudedMesh Method (Mesh, ListComponentIndex)

Creates new extruded mesh. Returns true if any edges or faces were extruded.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool ExtrudedMesh(
	out Mesh extrudedMeshOut,
	out List<ComponentIndex> componentIndicesOut
)

Parameters

extrudedMeshOut
Type: Rhino.GeometryMesh
Extruded mesh
componentIndicesOut
Type: System.Collections.GenericListComponentIndex
Component indices of extruded faces and vertices

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.MeshExtruder.ExtrudedMesh(Rhino.Geometry.Mesh@,System.Collections.Generic.List{Rhino.Geometry.ComponentIndex}@)"]

Version Information

Rhino for Windows

Supported in: 6.18
See Also